> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create sequence



## OpenAPI

````yaml /openapi/multichannel-publicapi.json post /multichannel/workspaces/{workspaceID}/sequences
openapi: 3.1.0
info:
  description: >-
    Returns the current state of a LinkedIn account. Useful while polling a
    connection that is waiting on OTP.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: /public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/sequences:
    post:
      tags:
        - multichannel
      summary: Create sequence
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: '#/components/schemas/requests.CreateSequenceRequest'
                  summary: request
                  description: >-
                    Create sequence request. Note: timezone fields accept only
                    IANA time zone names (e.g., America/New_York).
        description: >-
          Create sequence request. Note: timezone fields accept only IANA time
          zone names (e.g., America/New_York).
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.CreateSequenceResponse'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    requests.CreateSequenceRequest:
      properties:
        description:
          type: string
        name:
          type: string
        settings:
          $ref: '#/components/schemas/requests.SequenceSettingsInput'
        timezone:
          example: America/New_York
          type: string
      required:
        - name
      type: object
    responses.CreateSequenceResponse:
      properties:
        description:
          type: string
        id:
          type: integer
        name:
          type: string
        settings:
          $ref: '#/components/schemas/responses.SequenceSettingsResponse'
        status:
          type: string
        timezone:
          type: string
      type: object
    responses.ErrorResponse:
      properties:
        data: {}
        message:
          type: string
      type: object
    requests.SequenceSettingsInput:
      properties:
        bcc:
          type: string
        cc:
          type: string
        ccAndBccEnabled:
          type: boolean
        espMatchingEnabled:
          type: boolean
        openTrackingEnabled:
          type: boolean
        opportunitiesValue:
          type: number
        optOutLinkEnabled:
          type: boolean
        optOutLinkText:
          type: string
        optOutText:
          type: string
        optOutTextEnabled:
          type: boolean
        plainTextEmailsEnabled:
          type: boolean
        trackOpportunitiesEnabled:
          type: boolean
      type: object
    responses.SequenceSettingsResponse:
      properties:
        bcc:
          type: string
        cc:
          type: string
        ccAndBccEnabled:
          type: boolean
        espMatchingEnabled:
          type: boolean
        openTrackingEnabled:
          type: boolean
        opportunitiesValue:
          type: number
        optOutLinkEnabled:
          type: boolean
        optOutLinkText:
          type: string
        optOutText:
          type: string
        optOutTextEnabled:
          type: boolean
        plainTextEmailsEnabled:
          type: boolean
        trackOpportunitiesEnabled:
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````